function outoffuel()
    msnMgr:addHeader("The ship has run out of fuel. Unless a new source is found, the ship will not be able to move, and the crew will eventually starve to death.")
    msnMgr:addHeader(" ")
    msnMgr:addHeader("Both the main interstellar ZPVE drive and the supplemental intrastellar maneuvering thrusters are fully functional, and the Sakharov filter is clean. But without a source of baryonic matter to inject into the process as a catalyst, the engines simply won't be able to spark the reaction to get the ship moving.")
    msnMgr:addHeader(" ")
    luaMgr:unlockAchievement("out_of_gas");
end

function complaints()
    SmartName = getColoredNameForCrewWithMost("mental")
    charMgr:getCharAttr(charMgr:crewWithMost("mental"), "mental")
    RandomComment = msnMgr:random() % msnMgr:getDiffScale(4,4,4)
    if (RandomComment == 0) then
        msnMgr:addMessage("\"Are the engines offline?\" says " .. SmartName .. ". \"It's awfully quiet in here.\"")
    elseif (RandomComment == 1) then
        msnMgr:addMessage(SmartName .. " shakes their head in dismay. \"Guess we're out of gas, eh?\" they ask.")
    elseif (RandomComment == 2) then
        msnMgr:addMessage("I always had nightmares about this scenario,\" says " .. SmartName .. ".")
    elseif (RandomComment == 3) then
        msnMgr:addMessage("\"I've confirmed what you already know,\" says " .. SmartName .. ". \"The engines are offline. We're out of fuel.\"")
    elseif (RandomComment == 4) then
        msnMgr:addMessage(SmartName .. " sighs loudly. \"This isn't good, is it?\" they ask.")
    end
end

function sabotage()
    if (KleptomaniacCrew ~= -1) then
        KleptomaniacName = charMgr:getCharColoredName(KleptomaniacCrew)
        if (msnMgr:random() % msnMgr:getDiffScale(15,20,25) <= charMgr:getCharAttr(KleptomaniacCrew, "social")) then
            msnMgr:addMessage(" ")
            msnMgr:addMessage("You know your crew well, so you send some drones to turn over " .. KleptomaniacName .. "'s cryo chamber and personal locker. Sure enough, you locate a few fuel rods stashed away under a pile of pilfered clothing and rags.")
            msnMgr:addMessage(" ")
            msnMgr:addMessage("\"I didn't think we'd need those,\" they say. \"I was saving it for an emergency.\"")
            msnMgr:addMessage(" ")
            msnMgr:addMessage("\"Right, I'm sure,\" you say, gathering up the fuel. It's not enough to address the fuel situation, but it's a start.")
            msnMgr:addMessage(" ")
            fueladded = fueladded + 5;
            fizzyliftingdrinks = 1;
            fizzyName = KleptomaniacName;
        else
            msnMgr:addMessage(" ")
            msnMgr:addMessage("You know your crew well, so you send some drones to turn over " .. KleptomaniacName .. "'s cryo chamber and personal locker. But despite a thorough search through their belongings, you turn up nothing.")
            msnMgr:addMessage(" ")
            msnMgr:addMessage("\"I am deeply, deeply wounded,\" they say. \"It hurts that you don't trust me.\"")
            msnMgr:addMessage(" ")
        end
    elseif (AddictedCrew ~= -1) then
        CrewRemaining = charMgr:depCrewLeft()
        if (CrewRemaining >= 2) then
            AddictedName = charMgr:getCharColoredName(AddictedCrew)
            if (msnMgr:random() % msnMgr:getDiffScale(5,10,15) >= charMgr:getCharAttr(AddictedCrew, "physical")) then
                msnMgr:addMessage(" ")
                msnMgr:addMessage("There are multiple sources of raw fuel in use, and reviewing some footage from recent weeks, you think you know what happened to some of it. You have your drones turn over " .. AddictedName .. "'s belongings, and you find a number of empty fuel containers.")
                msnMgr:addMessage(" ")
                msnMgr:addMessage(AddictedName .. " just watches dully, eyes glazed over, barely able to stand. Clearly they've been huffing or otherwise ingesting some of the fuel.")
                msnMgr:addMessage(" ")
                fizzyliftingdrinks = 1;
                fizzyName = AddictedName;
            end
        end
    end

    CrewRemaining = charMgr:depCrewLeft()
    if (CrewRemaining >= 2) then
        if (fizzyliftingdrinks == 1) then
            if (PoliticianCrew ~= -1) then
                if (msnMgr:random() % msnMgr:getDiffScale(5,10,15) <= charMgr:getCharAttr(PoliticianCrew, "social")) then
                PoliticianName = charMgr:getCharColoredName(PoliticianCrew)
                    msnMgr:addMessage(" ")
                    msnMgr:addMessage("\"To say this is unacceptable behavior is an understatement,\" says " .. PoliticianName .. ". \"This selfish behavior has put the entire crew at risk of death. We have to consider... punishment.\"")
                    msnMgr:addMessage(" ")
                    msnMgr:addMessage("\"You mean capital punishment,\" you say.")
                    msnMgr:addMessage(" ")
                    msnMgr:addMessage(PoliticianName .. " nods grimly. \"I... I hate to even mention it, but under the circumstances, it seems like we must consider drastic measures.\"")
                    msnMgr:addMessage(" ")
                    voteforcrewfuel = 1;
                end
            end

            if (CygenCrew ~= -1) then
                if (msnMgr:random() % msnMgr:getDiffScale(5,10,15) <= charMgr:getCharAttr(CygenCrew, "mental")) then
                CygenName = charMgr:getCharColoredName(CygenCrew)
                    if (charMgr:getCharName(CygenCrew) == "Xzavian Merz") then
                        msnMgr:addMessage(" ")
                        msnMgr:addMessage("\"If this were a military ship,\" says " .. CygenName .. ", \"the punishment for something like this would be death.\"")
                        msnMgr:addMessage(" ")
                        msnMgr:addMessage("By at least one definition, this is in fact a military ship, but getting into the technicalities of the matter is beside the point, so you don't share that information.")
                        msnMgr:addMessage(" ")
                        voteforcrewfuel = 1;
                    elseif (charMgr:getCharName(CygenCrew) == "Fallyn Stabler")then
                        msnMgr:addMessage(" ")
                        msnMgr:addMessage("\"If this were a military ship,\" says " .. CygenName .. ", \"the punishment for something like this would be death.\"")
                        msnMgr:addMessage(" ")
                        msnMgr:addMessage("By at least one definition, this is in fact a military ship, but getting into the technicalities of the matter is beside the point, so you don't share that information.")
                        msnMgr:addMessage(" ")
                        voteforcrewfuel = 1;
                    end
                end
            end
        end

        if (voteforcrewfuel == 1) then
            SmartName = getColoredNameForCrewWithMost("mental")
            msnMgr:addMessage(" ")
            msnMgr:addMessage("\"What would be the point of killing someone over stolen fuel?\" asks " .. SmartName .. ".")
            msnMgr:addMessage(" ")
            msnMgr:addMessage("\"I think you know,\" you say. \"Any sort of baryonic matter can be used as fuel. It's just needed to act as a catalyst to spark the engines, which run on dark matter. And the crew of this ship is a source of baryonic matter.\"")
            msnMgr:addMessage(" ")

            NiceName = getColoredNameForCrewWithMost("social")
            if (msnMgr:random() % msnMgr:getDiffScale(2,2,2) == 0) then
                msnMgr:addMessage(" ")
                msnMgr:addMessage("\"That's awful,\" says " .. NiceName .. ". \"Would we stoop so low? That's inhuman.\"")
                msnMgr:addMessage(" ")
            elseif (msnMgr:random() % msnMgr:getDiffScale(2,2,2) == 1) then
                msnMgr:addMessage(" ")
                msnMgr:addMessage("\"That's a terrible thought...\" says " .. NiceName .. ". \"But... maybe under the circumstances it's something we should consider.\"")
                msnMgr:addMessage(" ")
            end
        end
    end
end

function brainstorm()
    CrewRemaining = charMgr:depCrewLeft()
    if (CrewRemaining >= 2) then
        if (TeamworkerCrew ~= -1) then
            if (msnMgr:random() % msnMgr:getDiffScale(5,10,15) <= charMgr:getCharAttr(TeamworkerCrew, "social")) then
            TeamworkerName = charMgr:getCharColoredName(TeamworkerCrew)
                msnMgr:addMessage(" ")
                msnMgr:addMessage("\"I have no doubts that we can figure this out together,\" encourages " .. TeamworkerName .. ".")
                msnMgr:addMessage(" ")
                fuelideas = fuelideas - 5;
            end
        elseif (CounselorCrew ~= -1) then
            if (msnMgr:random() % msnMgr:getDiffScale(5,10,15) <= charMgr:getCharAttr(CounselorCrew, "social")) then
            CounselorName = charMgr:getCharColoredName(CounselorCrew)
                msnMgr:addMessage(" ")
                msnMgr:addMessage("\"Let's remain calm and think about our options,\" says " .. CounselorName .. ". \"We can get through this.\"")
                msnMgr:addMessage(" ")
                fuelideas = fuelideas - 5;
            end
        end
    end
end

function suggestions()
    if (MechanicCrew ~= -1) then
        if (msnMgr:random() % fuelideas <= charMgr:getCharAttr(MechanicCrew, "mental")) then
        MechanicName = charMgr:getCharColoredName(MechanicCrew)
            msnMgr:addMessage(" ")
            msnMgr:addMessage("\"Maybe we could cobble something together out of ship parts,\" suggests " .. MechanicName .. ". \"There's got to be something we can use. And by we I mean you, in both cases.\"")
            msnMgr:addMessage(" ")
        end
    elseif (msnMgr:random() % fuelideas <= charMgr:getCharAttr(charMgr:crewWithMost("mental"), "mental")) then
        SmartName = getColoredNameForCrewWithMost("mental")
        msnMgr:addMessage(" ")
        msnMgr:addMessage("\"Maybe we could cobble something together out of what's on the ship,\" suggests " .. SmartName .. ". \"There's got to be something we can use.\"")
        msnMgr:addMessage(" ")
    end

    if (ScientistCrew ~= -1) then
        if (msnMgr:random() % fuelideas <= charMgr:getCharAttr(ScientistCrew, "mental")) then
        ScientistName = charMgr:getCharColoredName(ScientistCrew)
            msnMgr:addMessage(" ")
            msnMgr:addMessage("\"Could we try boosting the sensors? Maybe there's something floating around,\" suggests " .. ScientistName .. ". \"I know not just anything will work, but maybe we'll get lucky.\"")
            msnMgr:addMessage(" ")
        end
    end

    if (FarmerCrew ~= -1) then
        if (msnMgr:random() % fuelideas <= charMgr:getCharAttr(FarmerCrew, "mental")) then
        FarmerName = charMgr:getCharColoredName(FarmerCrew)
            msnMgr:addMessage(" ")
            msnMgr:addMessage("\"If it's desperate, we could always burn some food as fuel,\" says " .. FarmerName .. ". This is true. It's not ideal, but it is baryonic.")
            msnMgr:addMessage(" ")
        end
    end
end

function aichoice()
    msnMgr:addMessage("There aren't too many options, but something needs to be done. You consider all the options and narrow things down to the few choices most likely to result in fuel.")
    msnMgr:addMessage(" ")
    msnMgr:addMessage("You could overcharge the sensors to scan for a fuel source, but this would damage the sensors permanently and might not work. You could convert some of the ship's food into fuel, but obviously this depletes another important resource. You could even try stripping the ship for parts, but it's generally not the best idea to burn wood for heat when you're in a rowboat. Or however the saying goes. Is that a saying?")
    msnMgr:addMessage(" ")
    if (CrewRemaining >= 2) then
        msnMgr:addMessage("You could also use one of the crew as fuel. It's not the best option, but it's an option.")
        msnMgr:addMessage(" ")
    end

    -- Rechoice in here until one is chosen - if you're here it's tough choices now
    msnMgr:buildChoice("Supercharge the sensor array to scan for small planetoids nearby")
    msnMgr:buildChoice("Convert some of the ship's food to fuel")
    msnMgr:buildChoice("Try to strip some parts off the ship to use as fuel")
    msnMgr:buildChoice("Murder one of the crew")
    msnMgr:finalizeChoice()
    timesAnswered = 0;
    while(true) do
        if(not waitUserInput(choices)) then
            return
        end

        AiIdea = msnMgr:getChoiceResponse(choices)
        rechoicePosition = choices;
        choices = choices + 1
        timesAnswered = timesAnswered + 1

        if (AiIdea == 0) then
            finaloptions = finaloptions + 1;
            msnMgr:addMessage(" ")
            msnMgr:addMessage("Space isn't completely empty, especially not within a solar system. Stars like to suck all sorts of stuff into their gravity well. The chances of finding something floating around nearby that contains a source of food is slim, but it's non-zero.")
            msnMgr:addMessage(" ")
            if (msnMgr:random() % msnMgr:getDiffScale(5,5,5) < ship:getSensors()) then
                msnMgr:addMessage("You make some admittedly dangerous modifications to the sensory array to boost their reach, and then cross your proverbial fingers.")
                msnMgr:addMessage(" ")
                msnMgr:addMessage("Luck is with you. Your sensors pick up a very dim object quite nearby, and after a few hours of maneuvering the ship is directly adjacent and able to be mined. It's a bit tricky and involves some mucking about with external drones, but you manage to extract some baryonic material.")
                msnMgr:addMessage(" ")
                msnMgr:addMessage("As you expected, however, the sensors very nearly burn out. You manage to keep them functional, but they are definitely damaged.")
                msnMgr:addMessage(" ")
                ship:adjustSensors(-1, "Sensor damage was sustained as a last resort while searching for a source of fuel.")
                fueladded = (10 + msnMgr:random() % msnMgr:getDiffScale(5,10,15))
            else
                msnMgr:addMessage("You make some admittedly dangerous modifications to the sensory array to boost their reach, and then cross your proverbial fingers.")
                msnMgr:addMessage(" ")
                msnMgr:addMessage("Unfortunately, you find nothing of use within range. You shut the sensors down before they're damaged and inform the crew. They're not happy, but what can they do? They hunker down and do their best to avoid panicking.")
                msnMgr:addMessage(" ")
            end
        elseif (AiIdea == 1) then
            finaloptions = finaloptions + 1;
            if (ship:getFood() > 1) then
				msnMgr:addMessage("You've never openly advertised the fact to the crew, but since it's all baryonic matter it's actually possible to convert some food into fuel. You're reluctant to do it since it means depleting food stores, which could lead to starvation, but there's no other good choice.")
				msnMgr:addMessage(" ")
				msnMgr:addMessage("You have " .. ship:getFood() .. " units of food left. How much should you convert to fuel? Every 2 units of food will create 1 unit of fuel.")
				msnMgr:addMessage(" ")

				msnMgr:buildChoice("25%")
				msnMgr:buildChoice("50%")
				msnMgr:buildChoice("75%")
				msnMgr:finalizeChoice()
				if(not waitUserInput(choices)) then
					return
				end

				AiFuelIdea = msnMgr:getChoiceResponse(choices)
				choices = choices + 1

				if (AiFuelIdea == 0) then
					msnMgr:addMessage(" ")
					msnMgr:addMessage("The fuel supply isn't exactly hooked up to the food replicator, but it doesn't take very long to get a few shipboard drones to shuffle things around. The crew is relieved to hear the engines fire up again.")
					foodlost = .25 * ship:getFood();
					fueladded = foodlost / 2;
				elseif (AiFuelIdea == 1) then
					msnMgr:addMessage(" ")
					msnMgr:addMessage("The fuel supply isn't exactly hooked up to the food replicator, but it doesn't take very long to get a few shipboard drones to shuffle things around. The crew is relieved to hear the engines fire up again.")
					foodlost = .5 * ship:getFood();
					fueladded = foodlost / 2;
				elseif (AiFuelIdea == 2) then
					msnMgr:addMessage(" ")
					msnMgr:addMessage("The fuel supply isn't exactly hooked up to the food replicator, but it doesn't take very long to get a few shipboard drones to shuffle things around. The crew is relieved to hear the engines fire up again.")
					foodlost = .75 * ship:getFood();
					fueladded = foodlost / 2;
				end
            else
				msnMgr:addMessage(" ")
				msnMgr:addMessage("You've never openly advertised the fact to the crew, but since it's all baryonic matter it's actually possible to convert some food into fuel.")
				msnMgr:addMessage(" ")
				msnMgr:addMessage("Of course, this is a moot point at present, since there's not enough food for eating, much less for fuel conversion.")
				msnMgr:addMessage(" ")
            end
        elseif (AiIdea == 2) then
            finaloptions = finaloptions + 1;
			if not (msnMgr:hasQuestItem("strippedforfuel")) then
				if (ship:getEngineSpeed() >= .05) then
					msnMgr:addMessage("It's not a large ship, and there isn't much to spare, but you do manage to figure out a way to cannibalize one of the maneuvering engines, which has a significant quantity of unburnt fuel on some otherwise inaccessible inner surfaces. It's not ideal, and it will reduce the ship's speed in-system, but what must be done, must be done.")
					msnMgr:addMessage(" ")
					fueladded = 2 * (charMgr:getCharAttr(charMgr:crewWithMost("mental"), "mental")) + 10;
					ship:adjustEngineSpeed(-.0125, "A maneuvering thruster was destroyed to recover unburnt fuel as a last resort.")
					msnMgr:addQuestItem("strippedforfuel");
				else
					msnMgr:addMessage(" ")
					msnMgr:addMessage("It's not a large ship, and there isn't much to spare, but you do manage to figure out a way to cannibalize part of one of the maneuvering engines, which has a significant quantity of unburnt fuel on some otherwise inaccessible inner surfaces. It's not a lot of fuel but it's something.")
					msnMgr:addMessage(" ")
					fueladded = 1 * (charMgr:getCharAttr(charMgr:crewWithMost("mental"), "mental")) + 5;
					msnMgr:addQuestItem("strippedforfuel");
				end
			else
			    msnMgr:addMessage("You've already tried that. Removing any more of the ship would cause more problems than it solved.")
				msnMgr:addMessage(" ")
			end
        elseif (AiIdea == 3) then
            AiIdea3(false)
        end

        if (fueladded >= 1) then
            break
        end

        if (timesAnswered <= 3) then
            msnMgr:rechoice(rechoicePosition)
        else
            msnMgr:addMessage( "All other options exhausted, you have no choice but to look toward the only source of organic matter onboard--the crew.")
            AiIdea3(true)
        end
    end
end

function resolution()
    msnMgr:addMessage("The long term prospects for fuel could be better, but the immediate problem is resolved, for the moment.")
    msnMgr:addMessage(" ")

    ship:adjustFuel(math.ceil(fueladded))
    if (foodlost >= 1) then
        ship:adjustFood(math.floor(foodlost) * -1)
    end
end

function AiIdea3(shouldForceHand)
    msnMgr:addMessage(" ")
    msnMgr:addMessage("Your mission is to get your human crew safely to a new home, preferably one with other humans. That's it, though. There's no special programming preventing you from doing whatever you feel you need to do, in order to complete your mission. No three laws, no empathy chip, nothing. And so there's nothing stopping you from committing murder but you.")
    msnMgr:addMessage(" ")

    CrewRemaining = charMgr:depCrewLeft()
    if (CrewRemaining == 1) then
        msnMgr:addMessage(" ")
        msnMgr:addMessage("Obviously, you're down to one crew member now, so killing them to gain fuel for the mission is pointless. Without a human alive, there is no mission. But without fuel, the mission is over anyway. Perhaps it's best to just end it now, rather than let them suffer. Starvation would be a certainty.")
        msnMgr:addMessage(" ")
    end

    if (fizzyliftingdrinks == 1) then
        msnMgr:addMessage("And of course, you have to keep in mind what " .. fizzyName .. " did when making this decision. Perhaps they deserve what's coming to them, since they put the mission at risk.")
        msnMgr:addMessage(" ")
    end

    msnMgr:buildChoice("Yes, this must be done")
    if (shouldForceHand == false) then
        msnMgr:buildChoice("No, there must be another way...")
    end
    msnMgr:finalizeChoice()
    if(not waitUserInput(choices)) then
        return
    end

    ReconsiderMurder = msnMgr:getChoiceResponse(choices)
    choices = choices + 1

    if (ReconsiderMurder == 0) then
        msnMgr:addMessage(" ")
        msnMgr:addMessage("You're not capable of feeling emotion--emotions are just chemical reactions that humans and other living things have to deal with. You are capable of regret and doubt, though. And you feel both of those. But you can't let that stop you.")
        msnMgr:addMessage(" ")
        msnMgr:addMessage("You need to make the call to end a life.")
        msnMgr:addMessage(" ")

        SacrificeChar = givePlayerCrewToPick()
        SacrificeCharName = charMgr:getCharName(SacrificeChar)

        msnMgr:addMessage(" ")
        msnMgr:addMessage("\"" .. charMgr:getCharColoredName(SacrificeChar) .. ",\" you say on a private channel. \"Can you come to the back of the ship? I need to talk to you in private.\"")
        msnMgr:addMessage(" ")
        msnMgr:addMessage("With some hesitation, they do as ordered. One of the ship drones does the actual deed, quickly and quietly.")
        msnMgr:addMessage(" ")

        msnMgr:killCrew(SacrificeChar, "You sacrificed <charName> for fuel after the ship's supplies were exhausted.")
        crewTraits()
        msnMgr:addQuestItem("cannibal_fuel");
        --luaMgr:unlockAchievement("burn_crew");

        -- Any crew alive?
        CrewRemaining = charMgr:depCrewLeft()
        if (CrewRemaining == 0) then
            msnMgr:addMessage("Under the circumstances, all seems lost. Even if everything were in order--the crew, the shuttle, the ship--it seems like the mission is not destined to be completed.")
            msnMgr:addMessage(" ")

            waitUserResponse("mv ~ /dev/null")

            msnMgr:endGame(false)
        else
            msnMgr:addMessage("The loss is tragic, but the mission must continue.")
            msnMgr:addMessage(" ")
            crewDead = 1;
            murderedcrew = 1;
        end

        msnMgr:addMessage(" ")
        msnMgr:addMessage("What to tell the crew, though?")
        msnMgr:addMessage(" ")

        msnMgr:buildChoice("There's been a terrible accident...")
        msnMgr:buildChoice("I did what had to be done...")
        msnMgr:finalizeChoice()
        if(not waitUserInput(choices)) then
            return
        end

        CoverStory = msnMgr:getChoiceResponse(choices)
        choices = choices + 1

        if (CoverStory == 0) then
            msnMgr:addMessage(" ")
            msnMgr:addMessage("You explain to the crew that " .. charMgr:getCharColoredName(SacrificeChar) .. " had a terrible accident involving one of the ship's drones. They seem to believe you. Or at least they pretend to.")
            msnMgr:addMessage(" ")
        elseif (CoverStory == 1) then
            msnMgr:addMessage(" ")
            msnMgr:addMessage("You explain to the crew that you killed " .. charMgr:getCharColoredName(SacrificeChar) .. " in order to create fuel for the ship. They seem a bit horrified, even if they believe it was the right thing to do.")
            msnMgr:addMessage(" ")
        end

        if (fizzyliftingdrinks == 1) then
            if (SacrificeCharName == fizzyName) then
                msnMgr:addMessage(" ")
                msnMgr:addMessage("After some thought, though, the crew seems satisfied that this was the right decision, considering what " .. fizzyName .. " had done.")
                msnMgr:addMessage(" ")
            else
                msnMgr:addMessage(" ")
                msnMgr:addMessage("After some thought, though, the crew seems to question why you would kill " .. charMgr:getCharColoredName(SacrificeChar) .. " considering what " .. fizzyName .. " had done.")
                msnMgr:addMessage(" ")

                msnMgr:buildChoice("I have to think of the mission, and what the crew can offer")
                msnMgr:buildChoice("I chose someone randomly")
                msnMgr:finalizeChoice()
                if(not waitUserInput(choices)) then
                    return
                end

                KillReason = msnMgr:getChoiceResponse(choices)
                choices = choices + 1

                if (KillReason == 0) then
                    msnMgr:addMessage(" ")
                    msnMgr:addMessage("You explain that " .. fizzyName .. " had specific skills that will be needed in the future, and so you did what needed to be done. You realize this will impact the crew's ability to trust you in the future but there's nothing to be done about that now.")
                    msnMgr:addMessage(" ")
                elseif (KillReason == 1) then
                    msnMgr:addMessage(" ")
                    msnMgr:addMessage("You explain that whatever " .. fizzyName .. " did, it wasn't proper to murder them for that, so you chose someone at random. There is some grumbling about whether or not you were truly able to select randomly or not, but ultimately the crew accepts your reasoning.")
                    msnMgr:addMessage(" ")
                end
            end
        end

        -- Cygens provide more fuel because of reasons
        if (charMgr:getCharTrait(SacrificeChar, "Cygen")) then
            fueladded = 2 * (charMgr:getCharAttr(SacrificeChar, "physical")) + 20;
        else
            fueladded = 2 * (charMgr:getCharAttr(SacrificeChar, "physical")) + 10;
        end
    elseif (ReconsiderMurder == 1) then
        msnMgr:addMessage(" ")
        msnMgr:addMessage("You can't bring yourself to do it... there must be another way. You purge your short-term memory buffers and rethink the problem.")
        msnMgr:addMessage(" ")
    end
end

-- Set Hidden Flags and other items

choices = 0;
fueladded = 0;
foodlost = 0;
crewDead = 0;
fuelideas = 20;
fizzyliftingdrinks = 0;
voteforcrewfuel = 0;
finaloptions = 0;

crewTraits()

missionStart()

outoffuel()
complaints()
sabotage()
brainstorm()
suggestions()
aichoice()
resolution()

missionOverview()

msnMgr:endMission(true)
